System.ServiceModel 4.0.0.0

You can implement this interface to create a message property, and attach it to the message during runtime.

If an object that implements this interface is added to , it is added by value instead of by reference. After this, users of this message instance's message properties can copy this object to other messages by cloning, instead of sharing a single object across all messages.

Defines an interface that you can implement to describe a set of properties for a message.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IMessageProperty

  This method is called whenever an implementor of this interface is created. This happens when an object that implements this interface is added to as a custom property.

  Creates a copy of the current instance.

  A object that is a copy of the current instance.